Bug 275711 - Yum shows the errors' information when select a new language in text mode.
Summary: Yum shows the errors' information when select a new language in text mode.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Liang Zhang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-04 02:44 UTC by Liang Zhang
Modified: 2015-04-07 03:06 UTC (History)
1 user (show)

Fixed In Version: 1.2.9-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 07:14:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Liang Zhang 2007-09-04 02:44:21 UTC
Description of problem:
When I select a new language in the text mode of s-c-language, yum shows the
errors' information.
The errors' information is below:
 [root@dhcp-0-158 src]# ./system-config-language.py --text
 CRITICAL:yum.RepoStorage:No Repositories Available to Set Up
 Loading "fastestmirror" plugin
 Loading "installonlyn" plugin
 Traceback (most recent call last):
   File "./system-config-language.py", line 62, in <module>
     useTextMode()
   File "./system-config-language.py", line 38, in useTextMode
     app = language_tui.childWindow()
   File
"/home/haae/Src/Fedora_CVS/_tmp/system-config-language/10/system-config-language/devel/build/src/language_tui.py",
line 151, in __init__
     rc = LanguageWindow()(screen)
   File
"/home/haae/Src/Fedora_CVS/_tmp/system-config-language/10/system-config-language/devel/build/src/language_tui.py",
line 64, in __call__
     if not install.is_group_installed(grpid):
   File
"/home/haae/Src/Fedora_CVS/_tmp/system-config-language/10/system-config-language/devel/build/src/tui_install.py",
line 375, in is_group_installed
     if not self.comps.has_group(grpid):
   File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 495, in <lambda>
     comps = property(fget=lambda self: self._getGroups(),
   File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 468, in _getGroups
     raise Errors.GroupsError, 'No Groups Available in any repository'
 yum.Errors.GroupsError: No Groups Available in any repository


Version-Release number of selected component (if applicable):
s-c-language-1.2.8

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Liang Zhang 2007-09-04 02:47:45 UTC
Yum is modified, so I will modify the codes of text mode of s-c-language.

Comment 2 Liang Zhang 2007-09-10 07:11:55 UTC
I fixed this bug in system-config-language-1.2.9-1.fc8.


Note You need to log in before you can comment on or make changes to this bug.